iOS 4.0 After flashing iOS 4.0 GM, will I be able to flash back to 3.1.3?

Discussion in 'iOS Jailbreak & Cydia' started by Pickaxe, Jun 11, 2010.

  1. Pickaxe

    Pickaxe New Member

    Joined:
    Sep 10, 2008
    Messages:
    179
    Likes Received:
    0
    See title. I'm so very tired of Apple's firmware lock in, and since 4.0 is virtually guaranteed to be buggy as all hell (just like 2.0 and 3.0...), I want to make sure.
  2. legion

    legion Member

    Joined:
    Feb 15, 2008
    Messages:
    145
    Likes Received:
    1
    Device:
    iPhone 3GS (Black)
    haha if you dont like apple so much switch to something else!
  3. tanktan38

    tanktan38 Active Member

    Joined:
    Dec 29, 2009
    Messages:
    1,085
    Likes Received:
    15
    Device:
    3G iPod touch
    Did you back up your SHSHs for 3.1.3?
  4. dunuck

    dunuck Active Member

    Joined:
    Jul 20, 2009
    Messages:
    3,070
    Likes Received:
    1
    Device:
    2G iPod touch
    Yeah you can downgrade, as long as you enter DFU mode and have the at least the last iTunes version that supported 3.1.x before 4.0 is released

    Also if you have an 3rd gen ipod touch 32/64GB you have to back up your SHSH certificates, because once apple releases publicly fw 4.0, it will stop signing fw 3.1.x and you wont be able to downgrade
  5. omokas

    omokas Member

    Joined:
    Feb 5, 2009
    Messages:
    712
    Likes Received:
    5
    Device:
    iPhone 4 (White)
    Hmm, on my iPod Touch 3G 64GB I am always upgrading and downgrading without my SHSH saved (i have them backuped from 3.1.2 and 3.1.3 but i don't bypass the check, you know.. the IP). And it works just fine, maybe its because my UDID is registered ?
  6. dunuck

    dunuck Active Member

    Joined:
    Jul 20, 2009
    Messages:
    3,070
    Likes Received:
    1
    Device:
    2G iPod touch
    That is is because apple still signs fw 3.1.3, but like i said on my previous post once apple releases fw 4.0 publicly, it will stop signing fw 3.1.3 and you wont be able to downgrade, unless you backed up your 3.1.3 SHSH certificates.

Share This Page